#
# spec file for package goocanvasmm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009-2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           goocanvasmm
Version:        1.90.11
Release:        bp155.2.12
Summary:        C++ interface for goocanvas
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
URL:            http://gtkmm.sourceforge.net/
Source0:        http://download.gnome.org/sources/goocanvasmm/1.90/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.46.1
BuildRequires:  pkgconfig(goocanvas-2.0) >= 2.0.1
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.18.0

%description
This package provides a C++ interface for goocanvas. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.

%package -n libgoocanvasmm-2_0-6
Summary:        C++ interface for goocanvas
Group:          System/Libraries

%description -n libgoocanvasmm-2_0-6
This package provides a C++ interface for goocanvas. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.

%package -n libgoocanvasmm-devel
Summary:        C++ interface for goocanvas
Group:          Development/Libraries/GNOME
Requires:       libgoocanvasmm-2_0-6 = %{version}

%description -n libgoocanvasmm-devel
This package provides a C++ interface for goocanvas. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.

This package contains the libraries and header files needed for
developing applications.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgoocanvasmm-2_0-6 -p /sbin/ldconfig
%postun -n libgoocanvasmm-2_0-6 -p /sbin/ldconfig

%files -n libgoocanvasmm-2_0-6
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgoocanvasmm-2.0.so.*

%files -n libgoocanvasmm-devel
%{_includedir}/goocanvasmm-2.0/
%{_libdir}/libgoocanvasmm-2.0.so
%{_libdir}/pkgconfig/goocanvasmm-2.0.pc
%{_libdir}/goocanvasmm-2.0/
%doc %{_datadir}/devhelp/books/goocanvasmm-2.0
%doc %{_datadir}/doc/goocanvasmm-2.0
# Avoid BuildRequires on devhelp
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Sep 30 2015 zaitor@opensuse.org
- Update to version 1.90.11:
  + Regenerate with the latest glibmm.
* Wed Jul 29 2015 zaitor@opensuse.org
- Update to version 1.90.10:
  + Use (and require) C++11.
  + ItemSimple: Remove get_bounds() (bgo#721627).
* Mon Apr 29 2013 dimstar@opensuse.org
- Update to version 1.90.9:
  + Minor build fixes.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Fri Nov 18 2011 dimstar@opensuse.org
- Update to version 1.90.8:
  + init(): Add back the old method overload, but mark it as
    deprecated.
  + examples, tests: Avoid compiler warnings and deprecated API.
- Changes from version 1.90.7:
  + init(): Remove the parameters.
  + Add #includes needed with the latest glibmm.
- Changes from version 1.90.6:
  + Canvas, ItemSimple, Grid: Added Gdk::RGBA properties, which
    were added to the goocanvas C API.
  + Build: Search for gtkmm-3.0 tag file, not gtkmm-2.4.
- Changes from version 1.90.5:
  + GridModel is now correctly derived from ItemModelSimple
    (bgo#651355)
  + Fix the drag_to_canvas example (bgo#644033).
  + Correct null pointer conversion from Goocanvas::Canvas* to
    GooCanvas*, avoiding a crash (bgo#606357).
  + Build: Get the path to the pangomm and atkmm m4 files.
- Changes from version 1.90.4:
  + Build:
  - Avoid a tarball-build dependency on mm-common.
  - Build the tests and examples during make check.
- Changes from version 1.90.3:
  + Replace use of *ListHandle with std::vector<>, as in gtkmm,
    matching the new convention for this in gtkmm 3.
- Changes from version 1.90.2:
  + Use Gdk::Cursor via RefPtr.
  + Fix the build with latest gtkmm.
- Changes from version 1.9.2:
  + Build with the latest gtkmm and latest goocanvas.
  + Replace use of Gtk::AlignmentEnum with Gtk::Align.
  + Canvas: Use Adjustment via RefPtr.
- Changes from version 1.9.0:
  + Use gtkmm-3.0 instead of gtkmm-2.4, and goocanvas-2.0.
  + Change the ABI name (as used with pkg-config) to
    goocanvasmm-2.0.
- Remove explicit Requires from the -devel package: they are being
  added the pkgconfig()-way.
- Change BuildRequires from old-style, gtk2 based, to pkgconfig(),
  gtk3 based ones
  + Old ones: glibmm2-devel, gtkmm2-devel, goocanvas-devel
  + New ones: glibmm-2.4, goocanvas-2.4, gtkmm-3.0.
- Rename libgoocanvasmm-1_0-5 to libgoocanvasmm-2_0-6, following
  soname change.
* Mon Feb 14 2011 vuntz@opensuse.org
- Update to version 0.15.4:
  + Fix the build with gtkmm 2.22, with deprecations disabled.
- Changes from version 0.15.3:
  + Documentation improvements.
- Changes from version 0.15.2:
  + Build improvements for documentation.
* Thu Oct  1 2009 vuntz@opensuse.org
- Update to version 0.15.1:
  + Use the latest mm-common build system, to produce API
    documentation that is ready for library.gnome.org.
- Rename libgoocanvasmm-0_1-5 to libgoocanvasmm-1_0-5 to reflect
  soname change.
- Add glibmm2-devel Requires to devel package.
* Sun Aug  2 2009 vuntz@novell.com
- Update to version 0.15.0:
  + Image, ImageModel: Added scale_to_fit property.
  + Fix the build with alternative glibmm API (without properties
    or exceptions).
  + Avoid a compiler warning. bgo#582996
- Drop goocanvasmm-no_return_in_nonvoid.patch: fixed upstream.
* Fri May 22 2009 prusnak@suse.cz
- renamed goocanvasmm-devel to libgoocanvasmm-devel
* Mon May 18 2009 vuntz@novell.com
- Update goocanvasmm-no_return_in_nonvoid.patch to return NULL, and
  add the bug number to the tag.
- Change gtkmm24-devel to gtkmm2-devel.
* Wed May 13 2009 dominique-obs@leuenberger.net
- Initial packet created during Community Week 1.
